def stop_thread(t, emptyq=False):
    '''Signal the thread t
    that it should stop work.

    Threaded commands should cooperate
    by watching for this signal and
    doing the right thing.

    if emptyq True, clear out any pending
    draw commands.

    NOTE: not emptying the queue means that
    the onscreen pynguin may continue moving
    and drawing for a long time after its
    controlling thread has been stopped.

    The singular stop_thread defaults to
    not emptying the queue because that may
    interfere with other running threads.

    If you just want to stop everything,
    consider stop_threads() or Ctrl-C.
    '''

    import threading
    threading.pflags[t] = True

    if emptyq:
        pynguin._empty_move_queue(True)


def kill_thread(t, emptyq=False):
    'if asking it to stop does not work...'

    t.terminate()

    if emptyq:
        pynguin._empty_move_queue(True)
